---
layout: base
title: Dyff
---

<section class="container max-w-screen-xl mx-auto my-8 px-4">
  <div class="xl:grid xl:gap-8 xl:py-12 xl:grid-cols-12 items-center">
    <div class="flex flex-col xl:col-span-7 mb-4">
      <img class="h-32 mb-4" src="{{ '/static/img/logo.svg' | url }}" />
      <h1 class="mb-4 text-center text-5xl sm:text-6xl">
        What's the <span class="font-semibold">Dyff</span>erence?
      </h1>
      <p class="mb-6 text-center text-xl">
        Open science infrastructure for long-lived safety assessments.
      </p>
      <div class="w-full sm:block sm:w-auto flex flex-col sm:flex-row mx-auto mb-4">
        <a
          href="#get-dyff-client"
          class="px-5 py-3 mb-4 font-medium text-center rounded-lg sm:mr-4 bg-ul-bright-blue hover:bg-ul-dark-blue text-white"
        >
          Get the Dyff client
        </a>
        <a
          href="https://docs.dyff.io"
          class="px-5 py-3 mb-4 font-medium text-center rounded-lg border border-gray-300 hover:bg-gray-100"
        >
          View the documentation
        </a>
      </div>
    </div>
    <div class="mx-auto max-w-2xl xl:col-span-5 p-0 shadow-lg shadow-ul-bright-blue/50 rounded-lg overflow-x-auto">
    {% highlight python %}
from dyff.client import Client

client = Client(api_key="XXXXXX")

dataset = client.datasets.create_arrow_dataset(
    "/my/data", account="XXX", name="mydata"
)

client.datasets.upload_arrow_dataset(dataset, "/my/data")
{% endhighlight %}
    </div>
  </div>
</section>

<section class="container max-w-screen-xl mx-auto mt-12 xl:mt-0 mb-8">
  <h2 class="mb-12 text-center px-4 text-4xl">But Why?</h2>
  <div class="grid lg:grid-cols-3 gap-4 lg:divide-x">
    <div class="px-4 lg:px-8 mx-auto prose prose-lg mb-8">
      <h3 class="text-center">Assessment Integrity</h3>
      <p>
        A machine learning system built to pass its safety assessments is not assessed for safety. Dyff selectively exposes safety assessment results so developers can't game the test.
      </p>
    </div>
    <div class="px-4 lg:px-8 mx-auto prose prose-lg mb-8">
      <h3 class="text-center">Assessment Lifetime</h3>
      <p>
        Safety evaluations are typically discarded after their application. Dyff provides the capacity to surface and communicate safety without exposing the underlying data. Dyff assessments are long-lived.
      </p>
    </div>
    <div class="px-4 lg:px-8 mx-auto prose prose-lg mb-8">
      <h3 class="text-center">Assessor Viability</h3>
      <p>
        Long-lived high integrity safety evaluations are not maintained by researchers. Dyff demonstrates a path for an economically sustainable evaluation ecosystem across the thousands of digital use cases.
      </p>
    </div>
  </div>
</section>

<section class="bg-gray-300 pt-12 pb-16">
  <div class="container max-w-screen-sm mx-auto">
    <h2 id="get-dyff-client" class="mb-8 px-4 text-center text-4xl">Get the Dyff client</h2>
    <div class="mx-4 p-0 lg:col-span-5 shadow-lg shadow-ul-bright-blue-500/50 text-xl overflow-x-auto">
      {% highlight bash %}python3 -m pip install dyff{% endhighlight %}
    </div>
  </div>
</section>
